For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pods

Groups of courts or playing spaces within an area.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
expandstring[]OptionalExample: ["items._links.tables","items._links.area"]
Responses
200

Returns a PodCollection

application/json
_totalnumberRequired
get/pods
GET /apis/v2/pods HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a PodCollection

{
  "items": [
    {
      "id": "text",
      "slug": "text",
      "displayName": "text",
      "displayNameShort": "text",
      "description": "text",
      "address": {
        "street": "text",
        "floor": "text",
        "city": "text",
        "zip": "text",
        "displayName": "text"
      },
      "timezone": "text",
      "type": "PRIVATE",
      "status": "NOT_AVAILABLE",
      "sport": "PICKLEBALL",
      "area": {},
      "tables": {
        "items": [
          {
            "id": "text",
            "slug": "text",
            "displayName": "text",
            "displayNameShort": "text",
            "description": "text",
            "type": "STANDARD",
            "status": "AVAILABLE",
            "features": [
              "REPLAYS"
            ],
            "pod": {},
            "settings": {
              "items": [
                {
                  "id": "text",
                  "value": {}
                }
              ],
              "_total": 1,
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            },
            "errors": [
              {
                "code": "text",
                "message": "text",
                "details": {}
              }
            ],
            "_links": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "openTime": {
        "hours": 1,
        "minutes": 1
      },
      "closeTime": {
        "hours": 1,
        "minutes": 1
      },
      "closedTimeOverrides": {
        "items": [
          {
            "id": "text",
            "days": [
              1
            ],
            "from": {
              "hours": 1,
              "minutes": 1
            },
            "to": {
              "hours": 1,
              "minutes": 1
            }
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "guests": {
        "private": {
          "min": "text",
          "max": "text"
        }
      },
      "rates": {},
      "settings": {
        "items": [
          {
            "id": "text",
            "value": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
timezonestringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
sportstring · enumRequiredPossible values:
areaobjectRequired
ratesobjectRequired
_linksobjectRequired
Responses
201

Returns a Pod

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
timezonestringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
sportstring · enumRequiredPossible values:
areaobjectRequired
ratesobjectRequired
_linksobjectRequired
post/pods
POST /apis/v2/pods HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 979

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "address": {
    "street": "text",
    "floor": "text",
    "city": "text",
    "zip": "text",
    "displayName": "text"
  },
  "timezone": "text",
  "type": "PRIVATE",
  "status": "NOT_AVAILABLE",
  "sport": "PICKLEBALL",
  "area": {},
  "tables": {
    "items": [
      {
        "id": "text",
        "slug": "text",
        "displayName": "text",
        "displayNameShort": "text",
        "description": "text",
        "type": "STANDARD",
        "status": "AVAILABLE",
        "features": [
          "REPLAYS"
        ],
        "pod": {},
        "settings": {
          "items": [
            {
              "value": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "openTime": {
    "hours": 1,
    "minutes": 1
  },
  "closeTime": {
    "hours": 1,
    "minutes": 1
  },
  "closedTimeOverrides": {
    "items": [
      {
        "days": [
          1
        ],
        "from": {
          "hours": 1,
          "minutes": 1
        },
        "to": {
          "hours": 1,
          "minutes": 1
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "guests": {
    "private": {
      "min": "text",
      "max": "text"
    }
  },
  "rates": {},
  "settings": {
    "items": [
      {
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "address": {
    "street": "text",
    "floor": "text",
    "city": "text",
    "zip": "text",
    "displayName": "text"
  },
  "timezone": "text",
  "type": "PRIVATE",
  "status": "NOT_AVAILABLE",
  "sport": "PICKLEBALL",
  "area": {},
  "tables": {
    "items": [
      {
        "id": "text",
        "slug": "text",
        "displayName": "text",
        "displayNameShort": "text",
        "description": "text",
        "type": "STANDARD",
        "status": "AVAILABLE",
        "features": [
          "REPLAYS"
        ],
        "pod": {},
        "settings": {
          "items": [
            {
              "id": "text",
              "value": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "openTime": {
    "hours": 1,
    "minutes": 1
  },
  "closeTime": {
    "hours": 1,
    "minutes": 1
  },
  "closedTimeOverrides": {
    "items": [
      {
        "id": "text",
        "days": [
          1
        ],
        "from": {
          "hours": 1,
          "minutes": 1
        },
        "to": {
          "hours": 1,
          "minutes": 1
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "guests": {
    "private": {
      "min": "text",
      "max": "text"
    }
  },
  "rates": {},
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns a PdkDeviceCollection

application/json
_totalnumberRequired
get/pods/pdk-devices
GET /apis/v2/pods/pdk-devices HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a PdkDeviceCollection

{
  "items": [
    {
      "id": "text",
      "name": "text",
      "cloudNodeId": "text",
      "cloudNodeName": "text"
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
podIdstringRequiredExample: 40-allen
Query parameters
expandstring[]OptionalExample: ["_links.tables"]
Responses
200

Returns a Pod

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
timezonestringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
sportstring · enumRequiredPossible values:
areaobjectRequired
ratesobjectRequired
_linksobjectRequired
get/pods/{podId}
GET /apis/v2/pods/{podId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Pod

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "address": {
    "street": "text",
    "floor": "text",
    "city": "text",
    "zip": "text",
    "displayName": "text"
  },
  "timezone": "text",
  "type": "PRIVATE",
  "status": "NOT_AVAILABLE",
  "sport": "PICKLEBALL",
  "area": {},
  "tables": {
    "items": [
      {
        "id": "text",
        "slug": "text",
        "displayName": "text",
        "displayNameShort": "text",
        "description": "text",
        "type": "STANDARD",
        "status": "AVAILABLE",
        "features": [
          "REPLAYS"
        ],
        "pod": {},
        "settings": {
          "items": [
            {
              "id": "text",
              "value": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "openTime": {
    "hours": 1,
    "minutes": 1
  },
  "closeTime": {
    "hours": 1,
    "minutes": 1
  },
  "closedTimeOverrides": {
    "items": [
      {
        "id": "text",
        "days": [
          1
        ],
        "from": {
          "hours": 1,
          "minutes": 1
        },
        "to": {
          "hours": 1,
          "minutes": 1
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "guests": {
    "private": {
      "min": "text",
      "max": "text"
    }
  },
  "rates": {},
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
podIdstringRequired
Body
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
timezonestringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
sportstring · enumRequiredPossible values:
areaobjectRequired
ratesobjectRequired
_linksobjectRequired
Responses
201

Returns a PodPodDtoPodDto

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
timezonestringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
sportstring · enumRequiredPossible values:
areaobjectRequired
ratesobjectRequired
_linksobjectRequired
delete/pods/{podId}
DELETE /apis/v2/pods/{podId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 979

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "address": {
    "street": "text",
    "floor": "text",
    "city": "text",
    "zip": "text",
    "displayName": "text"
  },
  "timezone": "text",
  "type": "PRIVATE",
  "status": "NOT_AVAILABLE",
  "sport": "PICKLEBALL",
  "area": {},
  "tables": {
    "items": [
      {
        "id": "text",
        "slug": "text",
        "displayName": "text",
        "displayNameShort": "text",
        "description": "text",
        "type": "STANDARD",
        "status": "AVAILABLE",
        "features": [
          "REPLAYS"
        ],
        "pod": {},
        "settings": {
          "items": [
            {
              "value": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "openTime": {
    "hours": 1,
    "minutes": 1
  },
  "closeTime": {
    "hours": 1,
    "minutes": 1
  },
  "closedTimeOverrides": {
    "items": [
      {
        "days": [
          1
        ],
        "from": {
          "hours": 1,
          "minutes": 1
        },
        "to": {
          "hours": 1,
          "minutes": 1
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "guests": {
    "private": {
      "min": "text",
      "max": "text"
    }
  },
  "rates": {},
  "settings": {
    "items": [
      {
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
201

Returns a PodPodDtoPodDto

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "address": {
    "street": "text",
    "floor": "text",
    "city": "text",
    "zip": "text",
    "displayName": "text"
  },
  "timezone": "text",
  "type": "PRIVATE",
  "status": "NOT_AVAILABLE",
  "sport": "PICKLEBALL",
  "area": {},
  "tables": {
    "items": [
      {
        "id": "text",
        "slug": "text",
        "displayName": "text",
        "displayNameShort": "text",
        "description": "text",
        "type": "STANDARD",
        "status": "AVAILABLE",
        "features": [
          "REPLAYS"
        ],
        "pod": {},
        "settings": {
          "items": [
            {
              "id": "text",
              "value": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "openTime": {
    "hours": 1,
    "minutes": 1
  },
  "closeTime": {
    "hours": 1,
    "minutes": 1
  },
  "closedTimeOverrides": {
    "items": [
      {
        "id": "text",
        "days": [
          1
        ],
        "from": {
          "hours": 1,
          "minutes": 1
        },
        "to": {
          "hours": 1,
          "minutes": 1
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "guests": {
    "private": {
      "min": "text",
      "max": "text"
    }
  },
  "rates": {},
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
podIdstringRequired
Body
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
timezonestringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
sportstring · enumRequiredPossible values:
areaobjectRequired
ratesobjectRequired
_linksobjectRequired
Responses
201

Returns a PodPodDtoPodDto

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
timezonestringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
sportstring · enumRequiredPossible values:
areaobjectRequired
ratesobjectRequired
_linksobjectRequired
patch/pods/{podId}
PATCH /apis/v2/pods/{podId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 979

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "address": {
    "street": "text",
    "floor": "text",
    "city": "text",
    "zip": "text",
    "displayName": "text"
  },
  "timezone": "text",
  "type": "PRIVATE",
  "status": "NOT_AVAILABLE",
  "sport": "PICKLEBALL",
  "area": {},
  "tables": {
    "items": [
      {
        "id": "text",
        "slug": "text",
        "displayName": "text",
        "displayNameShort": "text",
        "description": "text",
        "type": "STANDARD",
        "status": "AVAILABLE",
        "features": [
          "REPLAYS"
        ],
        "pod": {},
        "settings": {
          "items": [
            {
              "value": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "openTime": {
    "hours": 1,
    "minutes": 1
  },
  "closeTime": {
    "hours": 1,
    "minutes": 1
  },
  "closedTimeOverrides": {
    "items": [
      {
        "days": [
          1
        ],
        "from": {
          "hours": 1,
          "minutes": 1
        },
        "to": {
          "hours": 1,
          "minutes": 1
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "guests": {
    "private": {
      "min": "text",
      "max": "text"
    }
  },
  "rates": {},
  "settings": {
    "items": [
      {
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
201

Returns a PodPodDtoPodDto

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "address": {
    "street": "text",
    "floor": "text",
    "city": "text",
    "zip": "text",
    "displayName": "text"
  },
  "timezone": "text",
  "type": "PRIVATE",
  "status": "NOT_AVAILABLE",
  "sport": "PICKLEBALL",
  "area": {},
  "tables": {
    "items": [
      {
        "id": "text",
        "slug": "text",
        "displayName": "text",
        "displayNameShort": "text",
        "description": "text",
        "type": "STANDARD",
        "status": "AVAILABLE",
        "features": [
          "REPLAYS"
        ],
        "pod": {},
        "settings": {
          "items": [
            {
              "id": "text",
              "value": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "openTime": {
    "hours": 1,
    "minutes": 1
  },
  "closeTime": {
    "hours": 1,
    "minutes": 1
  },
  "closedTimeOverrides": {
    "items": [
      {
        "id": "text",
        "days": [
          1
        ],
        "from": {
          "hours": 1,
          "minutes": 1
        },
        "to": {
          "hours": 1,
          "minutes": 1
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "guests": {
    "private": {
      "min": "text",
      "max": "text"
    }
  },
  "rates": {},
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
podIdstringRequiredExample: 40-allen
Query parameters
expandstring[]OptionalExample: ["_links.tables"]
Responses
200

Returns a Pod

application/json
_totalnumberRequired
get/pods/{podId}/settings
GET /apis/v2/pods/{podId}/settings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Pod

{
  "items": [
    {
      "id": "text",
      "value": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
podIdstringRequiredExample: 40-allen
Query parameters
expandstring[]OptionalExample: ["_links.tables"]
Responses
200

Returns a Pod

application/json
passesstring[]Required
defaultRateobjectRequired
specialRatesstring[]Required
membershipOverridesobjectRequired
holidayDatesstring[]Required
holidaysPeakPercentageIncreaseByDateobjectRequired
holidaysOffPeakPercentageIncreaseByDateobjectRequired
get/pods/{podId}/rates
GET /apis/v2/pods/{podId}/rates HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Pod

{
  "passes": [
    "text"
  ],
  "extraGuests": {
    "private": {
      "min": "text",
      "max": "text"
    }
  },
  "defaultRate": {},
  "specialRates": [
    "text"
  ],
  "membershipOverrides": {},
  "holidayDates": [
    "text"
  ],
  "holidaysPeakPercentageIncreaseByDate": {},
  "holidaysOffPeakPercentageIncreaseByDate": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
podIdstringRequiredExample: 40-allen
Query parameters
expandstring[]Optional
Responses
200

Returns a TableCollection

application/json
_totalnumberRequired
get/pods/{podId}/tables
GET /apis/v2/pods/{podId}/tables HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a TableCollection

{
  "items": [
    {
      "id": "text",
      "slug": "text",
      "displayName": "text",
      "displayNameShort": "text",
      "description": "text",
      "type": "STANDARD",
      "status": "AVAILABLE",
      "features": [
        "REPLAYS"
      ],
      "pod": {},
      "settings": {
        "items": [
          {
            "id": "text",
            "value": {}
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
podIdstringRequired
Body
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
podobjectRequired
_linksobjectRequired
Responses
201

Returns a Court

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
podobjectRequired
_linksobjectRequired
post/pods/{podId}/tables
POST /apis/v2/pods/{podId}/tables HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 259

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "type": "STANDARD",
  "status": "AVAILABLE",
  "features": [
    "REPLAYS"
  ],
  "pod": {},
  "settings": {
    "items": [
      {
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "type": "STANDARD",
  "status": "AVAILABLE",
  "features": [
    "REPLAYS"
  ],
  "pod": {},
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
podIdstringRequiredExample: 40-allen
Body
_linksobjectRequired
Responses
200

Returns the result of the migration

application/json
_linksobjectRequired
patch/pods/{podId}/tables
PATCH /apis/v2/pods/{podId}/tables HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 137

{
  "destinationPod": {
    "id": "text"
  },
  "courts": {
    "items": [
      {
        "id": "text",
        "priority": 1
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
{
  "destinationPod": {
    "id": "text"
  },
  "courts": {
    "items": [
      {
        "id": "text",
        "priority": 1
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tableIdstringRequiredExample: 40-allen-1
podIdstringRequiredExample: 40-allen
Query parameters
expandstring[]Optional
Responses
200

Returns a Table

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
podobjectRequired
_linksobjectRequired
get/pods/{podId}/tables/{tableId}
GET /apis/v2/pods/{podId}/tables/{tableId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Table

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "type": "STANDARD",
  "status": "AVAILABLE",
  "features": [
    "REPLAYS"
  ],
  "pod": {},
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tableIdstringRequiredExample: 40-allen-1
podIdstringRequiredExample: 40-allen
Query parameters
expandstring[]Optional
Responses
200

Returns a Table

application/json
idstringRequired
slugstringRequired
displayNamestringRequired
displayNameShortstringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
podobjectRequired
_linksobjectRequired
delete/pods/{podId}/tables/{tableId}
DELETE /apis/v2/pods/{podId}/tables/{tableId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Table

{
  "id": "text",
  "slug": "text",
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "type": "STANDARD",
  "status": "AVAILABLE",
  "features": [
    "REPLAYS"
  ],
  "pod": {},
  "settings": {
    "items": [
      {
        "id": "text",
        "value": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tableIdstringRequiredExample: 40-allen-1
podIdstringRequiredExample: 40-allen
Body
idstringRead-onlyRequired
tokenstringRequired
namestringOptional
userobjectRequired
bundlestringWrite-onlyOptional
platformstringWrite-onlyOptional
_linksobjectRequired
Responses
201

Returns a DeviceDto

application/json
idstringRead-onlyRequired
tokenstringRequired
namestringOptional
userobjectRequired
bundlestringWrite-onlyOptional
platformstringWrite-onlyOptional
_linksobjectRequired
patch/pods/{podId}/tables/{tableId}
PATCH /apis/v2/pods/{podId}/tables/{tableId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 86

{
  "token": "text",
  "name": "text",
  "user": {},
  "bundle": "text",
  "platform": "text",
  "_links": {}
}
201

Returns a DeviceDto

{
  "id": "text",
  "token": "text",
  "name": "text",
  "user": {},
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tableIdstringRequiredExample: 40-allen-1
podIdstringRequiredExample: 40-allen
Query parameters
expandstring[]Optional
Responses
200

Returns a CourtSettingsCollection

application/json
_totalnumberRequired
get/pods/{podId}/tables/{tableId}/settings
GET /apis/v2/pods/{podId}/tables/{tableId}/settings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a CourtSettingsCollection

{
  "items": [
    {
      "id": "text",
      "value": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tableIdstringRequiredExample: 40-allen-1
podIdstringRequiredExample: 40-allen
Body
idstringRead-onlyRequired
tokenstringRequired
namestringOptional
userobjectRequired
bundlestringWrite-onlyOptional
platformstringWrite-onlyOptional
_linksobjectRequired
Responses
201

Returns a DeviceDto

application/json
idstringRead-onlyRequired
tokenstringRequired
namestringOptional
userobjectRequired
bundlestringWrite-onlyOptional
platformstringWrite-onlyOptional
_linksobjectRequired
post/pods/{podId}/tables/{tableId}/devices
POST /apis/v2/pods/{podId}/tables/{tableId}/devices HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 86

{
  "token": "text",
  "name": "text",
  "user": {},
  "bundle": "text",
  "platform": "text",
  "_links": {}
}
201

Returns a DeviceDto

{
  "id": "text",
  "token": "text",
  "name": "text",
  "user": {},
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
podIdstringRequiredExample: 40-allen
Query parameters
expandstring[]Optional
Responses
200

Returns a PodClosedTimeOverrideCollection

application/json
_totalnumberRequired
get/pods/{podId}/closed-time-overrides
GET /apis/v2/pods/{podId}/closed-time-overrides HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a PodClosedTimeOverrideCollection

{
  "items": [
    {
      "id": "text",
      "days": [
        1
      ],
      "from": {
        "hours": 1,
        "minutes": 1
      },
      "to": {
        "hours": 1,
        "minutes": 1
      }
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tableIdstringRequiredExample: 40-allen-1
podIdstringRequiredExample: 40-allen
Query parameters
expandstring[]OptionalExample: ["_links.voiceMessage"]
Responses
200Success

No content

get/pods/{podId}/tables/{tableId}/voice-downs/{voiceDownId}
GET /apis/v2/pods/{podId}/tables/{tableId}/voice-downs/{voiceDownId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success

No content

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
voiceDownIdstringRequiredExample: f5842417-4c2e-4772-9b98-968134c6da64
tableIdstringRequiredExample: 40-allen-1
podIdstringRequiredExample: 40-allen
Body
idstringRead-onlyRequired
createdDatestring · date-timeRead-onlyRequired
updatedDatestring · date-timeRead-onlyRequired
statusstringRequired
_linksobjectRead-onlyRequired
Responses
200

Returns a VoiceDown

application/json
idstringRead-onlyRequired
createdDatestring · date-timeRead-onlyRequired
updatedDatestring · date-timeRead-onlyRequired
statusstringRequired
_linksobjectRead-onlyRequired
patch/pods/{podId}/tables/{tableId}/voice-downs/{voiceDownId}
PATCH /apis/v2/pods/{podId}/tables/{tableId}/voice-downs/{voiceDownId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "status": "text",
  "table": {
    "id": "text"
  },
  "voiceMessage": {
    "id": "text"
  },
  "user": {
    "id": "text"
  }
}
200

Returns a VoiceDown

{
  "id": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z",
  "status": "text",
  "table": {
    "id": "text"
  },
  "voiceMessage": {
    "id": "text"
  },
  "user": {
    "id": "text"
  },
  "_links": {}
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tableIdstringRequiredExample: 40-allen-1
podIdstringRequiredExample: 40-allen
Body
idstringRead-onlyRequired
createdDatestring · date-timeRead-onlyRequired
updatedDatestring · date-timeRead-onlyRequired
statusstringRequired
_linksobjectRead-onlyRequired
Responses
201

Returns a VoiceDown

application/json
idstringRead-onlyRequired
createdDatestring · date-timeRead-onlyRequired
updatedDatestring · date-timeRead-onlyRequired
statusstringRequired
_linksobjectRead-onlyRequired
post/pods/{podId}/tables/{tableId}/voice-downs
POST /apis/v2/pods/{podId}/tables/{tableId}/voice-downs HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "status": "text",
  "table": {
    "id": "text"
  },
  "voiceMessage": {
    "id": "text"
  },
  "user": {
    "id": "text"
  }
}
201

Returns a VoiceDown

{
  "id": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z",
  "status": "text",
  "table": {
    "id": "text"
  },
  "voiceMessage": {
    "id": "text"
  },
  "user": {
    "id": "text"
  },
  "_links": {}
}

Last updated

Was this helpful?